/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Dfinition des formats																													*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

* Format f_reperage : 1re partie : Nom de l onglet du fichier BPCO_LISTE_CODES_202004.xlsx - 2me partie : Mesure recherche;
proc format library = formats.formats;
	value f_reperage
		1 = "Actes - EFR"
		2 = "Actes - Spiromtrie"
		3 = "Actes - Mesure des gaz du sang"
		4 = "Actes - Thermoplastie bronchique"
		5 = "Actes - Oxygnothrapie BPCO"
		6 = "Actes - Ventilation non invasive BPCO"
		7 = "Actes - Rhabilitation respiratoire"
		8 = "Actes - Prothse de hanche"
		9 = "Actes - Prothse du genou"
		10 = "Actes - Chirurgie du rachis"        
		11 = "Diagnostics - Pneumothorax"
		12 = "Diagnostics - Infarctus"
		13 = "Diagnostics - Soins palliatif"
		14 = "Diagnostics - Asthme"
		15 = "Diagnostics - Etat de mal asthmatique"
		16 = "Diagnostics - Diagnostic de BPCO"
		17 = "Diagnostics - Insuffisance respiratoire aigue"
		18 = "Diagnostics - Pneumopathie lobaire"
		19 = "Diagnostics - Grippe"
		20 = "Diagnostics - Embolie pulmonaire"
		21 = "Diagnostics - Insuffisance cardiaque aigue"
		22 = "Diagnostics - Insuffisance cardiaque - dme aigu pulmonaire"
		23 = "Diagnostics - Infections des voies ariennes"
		24 = "Diagnostics - Pneumonies"
		25 = "Diagnostics - Bronchopneumopathies"
		26 = "Diagnostics - Polyarthrite rhumatode et maladies apparentes"
		27 = "Diagnostics - Spondylarthrite ankylosante ou maladies apparentes"
		28 = "Diagnostics - Pontages coronariens"
		29 = "Diagnostics - Remplacement valve cardiaque"
		30 = "Diagnostics - Prothse vasculaires - Stents"
		31 = "Biologie - Gaz du sang"        
		32 = "Prestation - Contact mdecin pneumologue"
		33 = "Prestation - Contact mdecin gnraliste"        
		34 = "Pneumo_Sejour_SSR - Contact avec un pneumologue lors d'une hospitalisation en SSR"        
		35 = "Mdicaments - Mdicaments utiliss dans la dpendance tabagique"
		36 = "Mdicaments - Antibiotiques"
		37 = "Mdicaments - Traitement anti IgE"
		38 = "Mdicaments - Ac monoclonaux Traitement anti IL-5"
		39 = "Mdicaments - Antileucotrine"
		40 = "Mdicaments - Vaccin anti grippal"
		41 = "Mdicaments - Cortico strodes inhals (CSI)"
		42 = "Bronchodilatateurs - Bta-2 agoniste de courte dure d'action "
		43 = "Bronchodilatateurs - Anticholinergique de courte dure d'action"
		44 = "Bronchodilatateurs - Bta-2 + Anticholinergique de courte dure d'action"
		45 = "Bronchodilatateurs - Bta-2 agonistes de longue dure d'action (LABA)"
		46 = "Bronchodilatateurs - Anticholinergique de longue dure d'action (LAMA)"
		47 = "Bronchodilatateurs - Bta-2 agoniste de longue dure d'action et Anticholinergique de longue dure d'action"
		48 = "Bronchodilatateurs - Bta 2 agoniste de longue dure d'action et corticostrode inhal"
		49 = "Bronchodilatateurs - Bta 2 agoniste de longue dure d'action + anticholinergique de longue dure d'action + corticostrode inhal"        
		50 = "ALD - Maladie d'alzheimer"
		51 = "ALD - Autres dmences"
		52 = "ALD - BPCO"
		53 = "ALD - Asthme"
		54 = "ALD - Mucoviscidose"
		55 = "ALD - Insuffisance cardiaque"
		56 = "ALD - Polyarthrite rhumatode et maladies apparentes"
		57 = "ALD - Spondylarthrite ankylosante ou maladies apparentes"
		58 = "Sances - Chimiothrapie"
		59 = "Sances - Radiothrapie"
		;
	value f_Charlson
		1 = "Infarctus du myocarde"
		2 = "Insuffisance cardiaque"
		3 = "Pathologie vasculaire priphrique"
		4 = "Pathologie crbrovasculaire"
		5 = "Dmence"
		6 = "Pathologie pulmonaire chronique"
		7 = "Connectivite"
		8 = "Pathologie ulcreuse"
		9 = "Pathologie hpatique lgre"
		10 = "Diabte sans complication"
		11 = "Hmiplgie"
		12 = "Pathologie rnale modre ou svre"
		13 = "Diabte avec complication"
		14 = "Cancer (comprenant les lymphomes et les leucmies et excluant les pathologies noplasiques de la peau)"
		15 = "Pathologie hpatique modre ou svre"
		16 = "Pathologie mtastatique"
		17 = "VIH-SIDA"
		;
	value f_oui_non
		0 = "Non"
		1 = "Oui"
		;
	value f_ind_01_flowchart
		1 = "Patients de 40 ans et plus ayant eu au moins une dlivrance rembourse de BDLA"
		2 = "Patients de 40 ans et plus ayant eu au moins 1 ATB + 1 BDCA (le mme jour en 2017) et 1 ATB (365 jours avant)"
		2.5 = "Patients de 40 ans et plus ayant eu au moins 1 ATB (en 2017) et 1 ATB + 1 BDCA (le mme jour et 365 jours avant)"
		3 = "Patients de 40 ans et plus ayant eu au moins 1 TTT arrt tabac"
		4 = "Patients de 40 ans et plus ayant eu un traitement spcifique de la BPCO"
		5 = "Patients asthmatiques - ALD asthme"
		6 = "Patients asthmatiques - ALD mucoviscidose"
		7 = "Patients asthmatiques - Antcdents d'au moins 3 CSI seuls"
		8 = "Patients asthmatiques - Total"
		9 = "Patients suspects de BPCO hors asthmatiques"
		10 = "Patients dj diagnostiqus - ALD BPCO"
		11 = "Patients dj diagnostiqus - Antcdents de BDLA"
		12 = "Patients dj diagnostiqus - Diagnostic de BPCO cod lors d'une hospitalisation"
		13 = "Patients dj diagnostiqus - Spiromtrie ou EFR entre 730 jours et 366 jours prcdant la date index"
		14 = "Patients dj diagnostiqus - Total"
		15 = "Population d'tude : patients incidents"
		16 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - ALD alzheimer et autres dmences"
		17 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - Hospitaliss en soins palliatifs"
		18 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - Total"
		19 = "Patients avec un problme sur la date de dcs"
		20 = "Population cible"
		21 = "Indicateur : Spiromtrie ou EFR de diagnostic"
		;
	value f_ind_02_flowchart
		1 = "Patients de 40 ans et plus avec une ALD BPCO active au 1er septembre &Annee_N."
		2 = "Patients de 40 ans et plus hospitaliss en MCO, SSR HAD avec un diagnostic BPCO cod"
		3 = "Population d'tude 1 : BPCO diagnostique"
		4 = "Patients de 40 ans et plus ayant eu un traitement spcifique de la BPCO (3 BDLA)"
		5 = "Patients asthmatiques - ALD asthme"
		6 = "Patients asthmatiques - ALD mucoviscidose"
		7 = "Patients asthmatiques - Au moins 3 CSI seuls"
		8 = "Patients asthmatiques - Au moins 1 Anti-IgE"
		9 = "Patients asthmatiques - Au moins 1 Anti-IL-5"
		10 = "Patients asthmatiques - Au moins 1 antileucotrine"
		11 = "Patients asthmatiques - Acte de thermoplastie bronchique cod lors d'une hospitalisation en MCO"
		12 = "Patients asthmatiques - Diagnostic d'asthme cod lors d'une hospitalisation"
		13 = "Patients asthmatiques - Diagnostic d'tat de mal asthmatique cod lors d'une hospitalisation"
		14 = "Patients asthmatiques - Total"
		15 = "Patients diagnostiqus BPCO - Patients avec une ALD active en &Annee_N."
		16 = "Patients diagnostiqus BPCO - Patients hospitaliss en MCO, SSR HAD avec un diagnostic BPCO cod"
		17 = "Patients diagnostiqus BPCO (chez les probables) - Total"
		18 = "Population d'tude 2 : BPCO probables"
		19 = "Population d'tude : Patients avec une BPCO probables ou diagnostique"
		20 = "Patients pour lesquels la recherche de vaccination contre la grippe n'est pas possible - Dcds avant la campagne"
		21 = "Patients pour lesquels la recherche de vaccination contre la grippe n'est pas possible - Hospitaliss en soins palliatifs"
		22 = "Patients pour lesquels la recherche de vaccination contre la grippe n'est pas possible - Hospitaliss plus de 3 mois en MCO, SSR, psychiatrie"
		23 = "Patients pour lesquels la recherche de vaccination contre la grippe n'est pas possible - Total"
		24 = "Patients avec un problme sur la date de dcs"
		25 = "Population cible"
		26 = "Indicateur : Vaccination contre la grippe"
		;
	value f_ind_03_flowchart
		1 = "Patients BPCO probable - Au moins 3 BDLA"
		2 = "Patients BPCO diagnostique - ALD BPCO active au 31 dcembre &Annee_N."
		3 = "Patients BPCO diagnostique - Hospitaliss en MCO, SSR, HAD avec un diagnostic BPCO cod"
		4 = "Patients  de 40 ans et plus ayant une BPCO probable ou diagnostique"
		5 = "Patients asthmatiques - ALD asthme"
		6 = "Patients asthmatiques - ALD mucoviscidose"
		7 = "Patients asthmatiques - Au moins 3 CSI seuls"
		8 = "Patients asthmatiques - Au moins 1 Anti-IgE"
		9 = "Patients asthmatiques - Au moins 1 Anti-IL-5"
		10 = "Patients asthmatiques - Au moins 1 antileucotrine"
		11 = "Patients asthmatiques - Acte de thermoplastie bronchique cod lors d'une hospitalisation en MCO"
		12 = "Patients asthmatiques - Diagnostic d'asthme cod lors d'une hospitalisation"
		13 = "Patients asthmatiques - Diagnostic d'tat de mal asthmatique cod lors d'une hospitalisation"
		14 = "Patients asthmatiques - Total"
		15 = "Population d'tude : Patients BPCO probable ou diagnostique hors asthmatiques"
		16 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - ALD alzheimer et autres dmences"
		17 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - Hospitaliss en soins palliatifs"
		18 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - Hospitaliss plus de 90 jours en SSR ou psychiatrie"
		19 = "Patients pour lesquels la spiromtrie ou les EFR ne sont pas ralisables - Total"
		20 = "Patients avec un problme sur la date de dcs"
		21 = "Population cible"
		22 = "Indicateur : Ralisation d'EFR ou de spiromtrie annuelle "
		;
	value f_ind_04_flowchart
		1 = "Sjours en MCO avec un diagnostic de BPCO en DP"
		2 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumopathie lobaire en DP"
		3 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance respiratoire  aigue en DP"
		4 = "Sjours en MCO avec un diagnostic de BPCO en DAS et grippe en DP"
		5 = "Sjours en MCO avec un diagnostic de BPCO en DAS et infection des voies ariennes en DP"
		6 = "Sjours en MCO avec un diagnostic de BPCO en DAS et bronchopneumopathie en DP"
		7 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumonie en DP"
		8 = "Sjours en MCO avec un diagnostic de BPCO en DAS et embolie pulmonaire en DP"
		9 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance cardiaque aigue en DP"
		10 = "Sjours en MCO avec un diagnostic de BPCO en DAS et dme aigue du poumon en DP"
		11 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumothorax en DP"
		12 = "Population d'tude : Sjours pour exacerbation de BPCO de patients de 40 ans et plus"
		13 = "Sjours de patients pour lesquels le suivi mdical prcoce n'est pas possible - Sjours dont le mode de sortie est le dcs"
		14 = "Sjours de patients pour lesquels le suivi mdical prcoce n'est pas possible - Sjours suivis dans les 7 jours d'une hospitalisation en MCO, SSR, HAD ou psychiatrie"
		15 = "Sjours de patients pour lesquels le suivi mdical prcoce n'est pas possible - Total"
		16 = "Sjours de patients avec un problme sur la date de dcs"
		17 = "Population cible"
		18 = "Suivi pneumologue dans les 7 jours aprs hospitalisation"
		19 = "Suivi mdecin gnraliste dans les 7 jours aprs hospitalisation"
		20 = "Indicateur : Suivi mdical prcoce"
		;
	value f_ind_05_flowchart
		1 = "Sjours en MCO avec un diagnostic de BPCO en DP"
		2 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumopathie lobaire en DP"
		3 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance respiratoire  aigue en DP"
		4 = "Sjours en MCO avec un diagnostic de BPCO en DAS et grippe en DP"
		5 = "Sjours en MCO avec un diagnostic de BPCO en DAS et infection des voies ariennes en DP"
		6 = "Sjours en MCO avec un diagnostic de BPCO en DAS et bronchopneumopathie en DP"
		7 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumonie en DP"
		8 = "Sjours en MCO avec un diagnostic de BPCO en DAS et embolie pulmonaire en DP"
		9 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance cardiaque aigue en DP"
		10 = "Sjours en MCO avec un diagnostic de BPCO en DAS et dme aigue du poumon en DP"
		11 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumothorax en DP"
		12 = "Population d'tude : Sjours pour exacerbation de BPCO de patients de 40 ans et plus"
		13 = "Sjours de patients pour lesquels le suivi mdical  distance n'est pas possible - Sjours dont le mode de sortie est le dcs"
		14 = "Sjours de patients pour lesquels le suivi mdical  distance n'est pas possible - Sjours suivis dans les 60 jours d'une hospitalisation en MCO, SSR, HAD ou psychiatrie"
		15 = "Sjours de patients pour lesquels le suivi mdical  distance n'est pas possible - Total"
		16 = "Sjours de patients avec un problme sur la date de dcs"
		17 = "Population cible"
		18 = "Indicateur : Suivi mdical  distance"
		;
	value f_ind_06_flowchart
		1 = "Sjours en MCO avec un diagnostic de BPCO en DP"
		2 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumopathie lobaire en DP"
		3 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance respiratoire  aigue en DP"
		4 = "Sjours en MCO avec un diagnostic de BPCO en DAS et grippe en DP"
		5 = "Sjours en MCO avec un diagnostic de BPCO en DAS et infection des voies ariennes en DP"
		6 = "Sjours en MCO avec un diagnostic de BPCO en DAS et bronchopneumopathie en DP"
		7 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumonie en DP"
		8 = "Sjours en MCO avec un diagnostic de BPCO en DAS et embolie pulmonaire en DP"
		9 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance cardiaque aigue en DP"
		10 = "Sjours en MCO avec un diagnostic de BPCO en DAS et dme aigue du poumon en DP"
		11 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumothorax en DP"
		12 = "Population d'tude : Sjours pour exacerbation de BPCO de patients de 40 ans et plus"
		13 = "Sjours de patients pour lesquels la recherche d'un traitement post hospitalisation n'est pas possible - Sjours dont le mode de sortie est le dcs"
		14 = "Sjours de patients pour lesquels la recherche d'un traitement post hospitalisation n'est pas possible - Sjours suivis dans les 90 jours d'une hospitalisation en MCO, SSR, HAD ou psychiatrie"
		15 = "Sjours de patients pour lesquels la recherche d'un traitement post hospitalisation n'est pas possible - Total"
		16 = "Sjours de patients avec un problme sur la date de dcs"
		17 = "Population cible"
		18 = "Indicateur : Traitement de BDLA dans les 3 mois aprs hospitalisation"
		;		
	value f_ind_07_flowchart
		1 = "Patients avec un diagnostic de BPCO en DP lors d'un sjour en MCO"
		2 = "Patients avec un diagnostic de BPCO en DAS et pneumopathie lobaire en DP lors d'un sjour en MCO"
		3 = "Patients avec un diagnostic de BPCO en DAS et insuffisance respiratoire  aigue en DP lors d'un sjour en MCO"
		4 = "Patients avec un diagnostic de BPCO en DAS et grippe en DP"
		5 = "Patients avec un diagnostic de BPCO en DAS et infection des voies ariennes en DP lors d'un sjour en MCO"
		6 = "Patients avec un diagnostic de BPCO en DAS et bronchopneumopathie en DP lors d'un sjour en MCO"
		7 = "Patients avec un diagnostic de BPCO en DAS et pneumonie en DP lors d'un sjour en MCO"
		8 = "Patients avec un diagnostic de BPCO en DAS et embolie pulmonaire en DP lors d'un sjour en MCO"
		9 = "Patients avec un diagnostic de BPCO en DAS et insuffisance cardiaque aigue en DP lors d'un sjour en MCO"
		10 = "Patients avec un diagnostic de BPCO en DAS et dme aigue du poumon en DP lors d'un sjour en MCO"
		11 = "Patients avec un diagnostic de BPCO en DAS et pneumothorax en DP lors d'un sjour en MCO"
		12 = "Population d'tude : Patients de 40 ans et plus hospitaliss pour exacerbation de BPCO"
		13 = "Patients pour lesquels la radaptation respiration n'est pas ralisable - Sjours index dont le mode de sortie est le dcs"
		14 = "Patients pour lesquels la radaptation respiration n'est pas ralisable - Sjours index suivis dans les 90 jours d'une hospitalisation en MCO, HAD ou psychiatrie"
		15 = "Patients pour lesquels la radaptation respiration n'est pas ralisable - ALD Alzheimer et autres dmences active"
		16 = "Patients pour lesquels la radaptation respiration n'est pas ralisable - Total"
		17 = "Patients avec un problme sur la date de dcs"
		18 = "Population cible"
		19 = "Indicateur : Ralisation de radaptation respiratoire dans les 3 mois aprs hospitalisation "
		;
	value f_ind_09_flowchart
		1 = "Sjours en MCO avec un diagnostic de BPCO en DP"
		2 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumopathie lobaire en DP"
		3 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance respiratoire  aigue en DP"
		4 = "Sjours en MCO avec un diagnostic de BPCO en DAS et grippe en DP"
		5 = "Sjours en MCO avec un diagnostic de BPCO en DAS et infection des voies ariennes en DP"
		6 = "Sjours en MCO avec un diagnostic de BPCO en DAS et bronchopneumopathie en DP"
		7 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumonie en DP"
		8 = "Sjours en MCO avec un diagnostic de BPCO en DAS et embolie pulmonaire en DP"
		9 = "Sjours en MCO avec un diagnostic de BPCO en DAS et insuffisance cardiaque aigue en DP"
		10 = "Sjours en MCO avec un diagnostic de BPCO en DAS et dme aigue du poumon en DP"
		11 = "Sjours en MCO avec un diagnostic de BPCO en DAS et pneumothorax en DP"
		12 = "Population d'tude : Sjours pour exacerbation de BPCO de patients de 40 ans et plus"
		13 = "Sjours exclus - Sjours dont le mode de sortie est le dcs"
		14 = "Sjours exclus - Sjours de patients dcds dans les 180 jours et sans rhospitalisation"
		15 = "Sjours exclus - Sjours prcds dans les 180 jours d'un sjour pour exacerbation"
		16 = "Sjours exclus - Sjours avec un code diagnostic de sortie contre avis mdical"
		17 = "Sjours exclus - Sjours de patients hospitaliss dans les 180 jours en soins palliatifs"
		18 = "Sjours exclus - Total"
		18.5 = "Sjours de patients avec un problme sur la date de dcs"
		19 = "Population cible"
		20 = "Indicateur : Rhospitalisation  6 mois"
		;
	value f_DP_classe
		1 = "BPCO"
		2 = "Pneumopathie"
		3 = "Insuffisance respiratoire aige"
		4 = "Grippe"
		5 = "Embolie pulmonaire"
		6 = "Insuffisance cardiaque aige"
		7 = "Pneumothorax"
		;
	value f_lieu_soin
		1 = "Ville"
		2 = "MCO"
		3 = "SSR"
		;
	value f_indic_deces
		1 = "Indicateur 01"
		2 = "Indicateur 02"
		3 = "Indicateur 03"
		4 = "Indicateur 04"
		5 = "Indicateur 05"
		6 = "Indicateur 06"
		7 = "Indicateur 07"
		9 = "Indicateur 09"
		99 = "Total"
		;
	value f_age_40_
		0 = "Moins de 40 ans"
		1 = "40 ans et plus"
		;
	picture commafr_0ch other = "000 000 000";
run;
