/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Table de valeurs contenant les codes CCAM ncessaires au calcul du score de Charlson													*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

* On supprime la table si elle existe;
%suppr_table(
	lib = orauser, 
	table = codes_CCAM_Charlson
	);

* On cre la table;
data orauser.codes_CCAM_Charlson;
infile datalines delimiter = "" dsd ;
retain reperage code_CCAM;
length code_CCAM $ 7 reperage 3.;
input reperage code_CCAM $;
datalines;
3EAAF002
3EAAF900
3EBAF001
3EBAF006
3EBAF010
3EBAF011
3ECAF001
3ECAF004
3ECLF003
3ECLF004
3ECPF001
3ECPF002
3ECPF005
3EDAF001
3EDAF003
3EDAF005
3EDAF006
3EDAF010
3EDLF004
3EDLF005
3EDLF006
3EDLF007
3EDLF008
3EDLF013
3EDPF001
3EDPF004
3EDPF005
3EDPF006
3EDPF009
3EEAF002
3EEAF004
3EEAF006
3EELF002
3EEPF001
3EFAF001
3EFLF001
3EFPF001
3EGAF002
3EGAF004
3EGPF001
3ENAF001
3EPPF003
3EZAF002
3EZJF001
3EZNF002
3EZPF003
3DGLF002
3DGLF001
3DHAF001
3DHPF002
3DHAF004
12JVJB001
12JVJF004
12JVJF008
12JVRP004
12JVRP007
12JVRP008
12YYYY007
;
run;
