/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Table de valeurs contenant les codes CIM10 ncessaires  l'ensemble du projet (pour le reprage des ALD)								*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

* On cre la table;
data ALD_codes_CIM_BPCO;
infile datalines delimiter = "" dsd ;
retain code_CIM reperage;
length code_CIM $ 7 reperage 3.;
input code_CIM $ reperage;
datalines;
F0050
G3050
F0151
F0251
F0351
J4452
J4553
E8454
M0556
M0656
M07057
M07157
M07257
M07357
M07657
M4557
M4657
;
run;

* On supprime la table si elle existe;
%suppr_table(
	lib = orauser, 
	table = ALD_codes_CIM_BPCO
	);

* On ajoute la longueur de code_CIM;
data orauser.ALD_codes_CIM_BPCO;
	set ALD_codes_CIM_BPCO;
	taille = length(compress(code_CIM));
run;

proc delete data = ALD_codes_CIM_BPCO;
run;
