/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Table de valeurs contenant les codes GHM ncessaires  l'ensemble du projet																*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

* On cre la table;
data codes_GHM_BPCO;
infile datalines delimiter = "" dsd ;
retain code_GHM reperage;
length code_GHM $ 5 reperage 3.;
input code_GHM $ reperage;
datalines;
05C0428
05C0528
05C0229
05C0329
05K0530
05K0630
28Z0758
28Z1059
28Z1159
28Z1859
28Z2359
28Z2459
28Z2559
;
run;

* On supprime la table si elle existe;
%suppr_table(
	lib = orauser, 
	table = codes_GHM_BPCO
	);

* On ajoute la longueur de code_GHM;
data orauser.codes_GHM_BPCO;
	set codes_GHM_BPCO;
	taille = length(compress(code_GHM));
run;

proc delete data = codes_GHM_BPCO;
run;
