/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Table de valeurs contenant les codes actes ncessaires  l ensemble du projet (pour le reprage dans le PMSI)							*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

* On cre la table;
data codes_actes_BPCO;
infile datalines delimiter = "" dsd ;
retain code_acte reperage;
length code_acte $ 3 reperage 3.;
input code_acte $ reperage;
datalines;
AMK7
AMC7
AMS7
BPC7
TTE32
TDT32
APU32
APC32
CCX32
GS32
G32
C32
CS32
CA32
TCP32
TEP32
TLC32
TLE32
TC32
TCG32
TE132
TE232
VGS32
VG32
V32
VS32
VL32
APV32
VA32
VU32
ADA32
ADC32
ADE32
ATM32
ADI32
TTE33
TDT33
CCX33
GS33
G33
C33
CS33
CA33
TCP33
TEP33
TLC33
TLE33
TC33
TCG33
TE133
TE233
VGS33
VG33
V33
VS33
VL33
VA33
VU33
ADA33
ADC33
ADE33
ATM33
ADI33
;
run;

* On supprime la table si elle existe;
%suppr_table(
	lib = orauser, 
	table = codes_actes_BPCO
	);

* On ajoute la longueur de code_CIM;
data orauser.codes_actes_BPCO;
	set codes_actes_BPCO;
	taille = length(compress(code_acte));
run;

%suppr_table(
	lib = work, 
	table = codes_actes_BPCO
	);
