/*	******************************************************************************************************************************************	*/
/*																																				*/
/*		Table de valeurs contenant les codes CIM10 ncessaires  l'ensemble du projet (pour le reprage des hospitalisations)					*/
/*																																				*/
/*	******************************************************************************************************************************************	*/

* On cre la table;
data diag_codes_CIM_BPCO;
infile datalines delimiter = "" dsd ;
retain code_CIM reperage flag_pneumo;
length code_CIM $ 7 reperage 3. flag_pneumo 3.;
input code_CIM $ reperage flag_pneumo;
datalines;
J93111
J942110
J86110
I20120
I21120
I22120
Z515130
J450140
J451140
J458140
J459140
J46150
J440160
J441160
J448160
J449160
J960170
J181180
J09190
J10190
J11190
I26200
I130210
I132210
I110210
I50210
I501220
J12230
J13230
J14230
J15230
J16230
J17230
J18230
J12240
J13240
J14240
J15240
J16240
J17240
J18240
J12250
J13250
J14250
J15250
J16250
J17250
J18250
M05260
M06260
M070270
M071270
M072270
M073270
M076270
M45270
M46270
Z511580
Z5101590
;
run;

* On supprime la table si elle existe;
%suppr_table(
	lib = orauser, 
	table = diag_codes_CIM_BPCO
	);

* On ajoute la longueur de code_CIM;
data orauser.diag_codes_CIM_BPCO;
	set diag_codes_CIM_BPCO;
	taille = length(compress(code_CIM));
run;

proc delete data = diag_codes_CIM_BPCO;
run;
